## org.jfree.chart.needle
Class PinNeedle

    java.lang.Object
      org.jfree.chart.needle.MeterNeedle
          org.jfree.chart.needle.PinNeedle

All Implemented Interfaces:
  java.io.Serializable

public class PinNeedle
extends MeterNeedle
implements java.io.Serializable

A needle that is drawn as a pin shape.

Author:
  Bryan Scott
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.needle.MeterNeedle
`transform`

Constructor Summary
`PinNeedle()`

Method Summary
`protected void` `drawNeedle(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea, java.awt.geom.Point2D rotate, double angle)` Draws the needle.
`boolean` `equals(java.lang.Object object)` Tests another object for equality with this object.

Methods inherited from class org.jfree.chart.needle.MeterNeedle
`defaultDisplay, draw, draw, draw, getFillPaint, getHighlightPaint, getOutlinePaint, getOutlineStroke, getRotateX, getRotateY, getSize, getTransform, setFillPaint, setHighlightPaint, setOutlinePaint, setOutlineStroke, setRotateX, setRotateY, setSize`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PinNeedle

    public PinNeedle()

Method Detail

### drawNeedle

    protected void drawNeedle(java.awt.Graphics2D g2,
                              java.awt.geom.Rectangle2D plotArea,
                              java.awt.geom.Point2D rotate,
                              double angle)

  Draws the needle.

  Specified by:
    `drawNeedle` in class `MeterNeedle`
  Parameters:
    `g2` - the graphics device.
    `plotArea` - the plot area.
    `rotate` - the rotation point.
    `angle` - the angle.

### equals

    public boolean equals(java.lang.Object object)

  Tests another object for equality with this object.

  Overrides:
    `equals` in class `MeterNeedle`
  Parameters:
    `object` - the object to test.
  Returns:
    A boolean.